Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 212145 - Unable to resolve identifier - remote development - C++
Unable to resolve identifier - remote development - C++
Status: RESOLVED FIXED
Product: cnd
Classification: Unclassified
Component: Code Model
7.1.2
PC Windows 7
: P3 with 1 vote (vote)
: 7.2
Assigned To: nnnnnk
issues@cnd
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-06 17:39 UTC by Mr_and_Mrs_D
Modified: 2012-05-12 11:37 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
C++ project displaying the "Unable to resolve identifier - remote development - C++" bug (14.44 KB, application/octet-stream)
2012-05-06 17:39 UTC, Mr_and_Mrs_D
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mr_and_Mrs_D 2012-05-06 17:39:35 UTC
Created attachment 119134 [details]
C++ project displaying the "Unable to resolve identifier - remote development - C++" bug

I am developing a project in my MS machine and I run it remotely on my Uni's
linux machine. The project builds correctly and runs correctly. I have a file BFcommon.h where I define a BFcommon class and a file HP.h where I define an HP class : public BFcommon. In my HP.cpp I get "Unable to resolve identifier" and red highlight for all the (protected) methods and constants the HP class inherits from the BFcommon class.

I am attaching the project

Thanks
Comment 1 nnnnnk 2012-05-10 12:39:19 UTC
Sample:
class A {
protected:
    void foo() {        
    }
};

class B : public A::A::A::A {
    void bar() {
        foo();
    }
};
Comment 2 nnnnnk 2012-05-12 11:37:39 UTC
fixed:
http://hg.netbeans.org/cnd-main/rev/0f6653d9de54


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo